Configs

Pipeline configs are versioned configurations for a particular pipeline.


List all pipeline configs

GET/api/namespaces/{namespace_id}/pipelines/{pipeline_id}/configs

A pipeline's config is the small program you write to configure how you want your pipeline to run.

Path parameters

NameTypeRequiredDescription
namespace_idstringyesThe unique identifier for the target namespace.
pipeline_idstringyesThe unique identifier for the target pipeline.

Query parameters

NameTypeRequiredDescription
include_secretbooleannoReturn credentials in plaintext instead of redacted. Admin only.

Responses

StatusBodyDescription
200ListPipelineConfigsResponsesuccessful operation
4XXErrorError
5XXErrorError

Register a new pipeline configuration

POST/api/namespaces/{namespace_id}/pipelines/{pipeline_id}/configs

This creates both the pipeline metadata and the initial config object.

Path parameters

NameTypeRequiredDescription
namespace_idstringyesThe unique identifier for the target namespace.
pipeline_idstringyesThe unique identifier for the target pipeline.

Request body (required): RegisterPipelineConfigRequest

Responses

StatusBodyDescription
201RegisterPipelineConfigResponsesuccessful creation
4XXErrorError
5XXErrorError

Get a specific version of a pipeline configuration

GET/api/namespaces/{namespace_id}/pipelines/{pipeline_id}/configs/{version}

A version of 0 indicates to return the latest pipeline config.

Path parameters

NameTypeRequiredDescription
namespace_idstringyesThe unique identifier for the target namespace.
pipeline_idstringyesThe unique identifier for the target pipeline.
versionintegeryesThe version of the configuration you want to target. 0 means return the latest.

Query parameters

NameTypeRequiredDescription
include_secretbooleannoReturn credentials in plaintext instead of redacted. Admin only.

Responses

StatusBodyDescription
200GetPipelineConfigResponsesuccessful operation
4XXErrorError
5XXErrorError

Deploy pipeline config

POST/api/namespaces/{namespace_id}/pipelines/{pipeline_id}/configs/{version}

Path parameters

NameTypeRequiredDescription
namespace_idstringyesThe unique identifier for the target namespace.
pipeline_idstringyesThe unique identifier for the target pipeline.
versionintegeryesThe version of the configuration you want to target. 0 means return the latest.

Responses

StatusBodyDescription
201DeployPipelineConfigResponsesuccessful creation
4XXErrorError
5XXErrorError

Delete pipeline config by version

DELETE/api/namespaces/{namespace_id}/pipelines/{pipeline_id}/configs/{version}

Path parameters

NameTypeRequiredDescription
namespace_idstringyesThe unique identifier for the target namespace.
pipeline_idstringyesThe unique identifier for the target pipeline.
versionintegeryesThe version of the configuration you want to target. 0 means return the latest.

Responses

StatusBodyDescription
204nonesuccessful deletion
4XXErrorError
5XXErrorError